package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.TSSDItem;
import com.sa.ibiz.demo.demo.service.dto.TSSDItemSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[TSSDItem] 服务对象接口
 */
public interface TSSDItemService extends IService<TSSDItem>{

	boolean update(TSSDItem et);
	boolean create(TSSDItem et);
	boolean checkKey(TSSDItem et);
		TSSDItem get(TSSDItem et);
	boolean remove(TSSDItem et);
	boolean getDraft(TSSDItem et);
    List<TSSDItem> listDefault(TSSDItemSearchFilter filter) ;
	Page<TSSDItem> searchDefault(TSSDItemSearchFilter filter);
	/**	 实体[TSSDItem] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }